curl --request GET \
--url https://api-next.ofauth.com/v2/access/subscribers \
--header 'apiKey: <api-key>' \
--header 'x-connection-id: <api-key>'{
"list": [
{
"id": 123,
"name": "<string>",
"username": "<string>",
"displayName": "<string>",
"isVerified": true,
"avatar": "<string>",
"avatarThumbs": {
"c50": "<string>",
"c144": "<string>"
},
"lastSeen": "<string>",
"subscription": {
"isActive": true,
"isExpired": true,
"subscribedAt": "<string>",
"expiresAt": "<string>",
"renewedAt": "<string>",
"price": 123,
"regularPrice": 123,
"discountPercent": 123,
"discountPeriod": 123,
"discountStartedAt": "<string>",
"discountFinishedAt": "<string>",
"history": [
{
"id": 123,
"startDate": "<string>",
"expireDate": "<string>",
"price": 123,
"regularPrice": 123,
"discount": 123,
"type": "<string>",
"action": "<string>",
"isCurrent": true
}
]
},
"spending": {
"total": 123,
"tips": 123,
"subscriptions": 123,
"messages": 123,
"posts": 123,
"streams": 123
},
"isRestricted": true,
"isBlocked": true,
"capabilities": {
"canRestrict": true,
"canBlock": true,
"canReport": true,
"canUnsubscribe": true,
"canReceiveMessages": true,
"canSendTrial": true
},
"lists": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"hasMore": true
}Get a paginated list of subscribers. Use the type query parameter to filter: ‘all’ (default), ‘active’, ‘expired’, or ‘latest’. For ‘latest’, you can also use startDate, endDate, and latestType (‘new’ or ‘renewals’) to filter by date range.
Permission Required: subscribers:read
curl --request GET \
--url https://api-next.ofauth.com/v2/access/subscribers \
--header 'apiKey: <api-key>' \
--header 'x-connection-id: <api-key>'{
"list": [
{
"id": 123,
"name": "<string>",
"username": "<string>",
"displayName": "<string>",
"isVerified": true,
"avatar": "<string>",
"avatarThumbs": {
"c50": "<string>",
"c144": "<string>"
},
"lastSeen": "<string>",
"subscription": {
"isActive": true,
"isExpired": true,
"subscribedAt": "<string>",
"expiresAt": "<string>",
"renewedAt": "<string>",
"price": 123,
"regularPrice": 123,
"discountPercent": 123,
"discountPeriod": 123,
"discountStartedAt": "<string>",
"discountFinishedAt": "<string>",
"history": [
{
"id": 123,
"startDate": "<string>",
"expireDate": "<string>",
"price": 123,
"regularPrice": 123,
"discount": 123,
"type": "<string>",
"action": "<string>",
"isCurrent": true
}
]
},
"spending": {
"total": 123,
"tips": 123,
"subscriptions": 123,
"messages": 123,
"posts": 123,
"streams": 123
},
"isRestricted": true,
"isBlocked": true,
"capabilities": {
"canRestrict": true,
"canBlock": true,
"canReport": true,
"canUnsubscribe": true,
"canReceiveMessages": true,
"canSendTrial": true
},
"lists": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"hasMore": true
}Requires a connection via the x-connection-id header.
Search/filter text
100Advanced filters
Show child attributes
Subscriber type filter
all, active, expired Filter subscribers from this date (for type=latest)
Filter subscribers until this date (for type=latest)
Sub-filter for latest: total, new subscribers, or renewals only
total, new, renewals Number of items to return (1-100, default: 10)
1 <= x <= 100Number of items to skip (default: 0)
x >= 0Was this page helpful?